Call Event -- Create

Creates a call event subscription. A webhook_id is required so that we know to which url the events shall be sent. Call states can be used to limit the states for which call events are sent. A target_type and target_id may optionally be provided to scope the events only to the calls to/from that target.

See https://developers.dialpad.com/docs/call-events for details on how call events work, including the payload structure, the meaning of different call states, and payload examples.

Note: To include the recording url in call events, your API key needs to have the "recordings_export" OAuth scope.

Added on April 23rd, 2021 for API v2.

Rate limit: 1200 per minute.

Body Params
call_states
array of strings | null

The call event subscription's list of call states.

call_states
boolean | null
Defaults to true

Whether or not the call event subscription is enabled.

int64 | null

The logging endpoint's ID, which is generated after creating a webhook or websocket successfully.

boolean | null

Call event subscription for group calls only.

int64 | null

The ID of the specific target for which events should be sent.

string | null
enum

The target type.

Response

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json